"use strict";
Object.defineProperties(exports, { __esModule: { value: true }, [Symbol.toStringTag]: { value: "Module" } });
const index = require("../../../hooks/use-namespace/index.js");
const useProps = require("./useProps.js");
const useOption = require("./useOption.js");
const defaults = require("./defaults.js");
const token = require("./token.js");
const Vue = require("vue");
var option_item_vue_vue_type_script_lang_default = Vue.defineComponent({
  props: defaults.optionV2Props,
  emits: defaults.optionV2Emits,
  setup(props, { emit }) {
    const select = Vue.inject(token.selectV2InjectionKey);
    const ns = index.useNamespace("select");
    const { hoverItem, selectOptionClick } = useOption.useOption(props, { emit });
    const { getLabel } = useProps.useProps(select.props);
    return {
      ns,
      contentId: select.contentId,
      hoverItem,
      selectOptionClick,
      getLabel
    };
  }
});
exports.default = option_item_vue_vue_type_script_lang_default;
